[GTK] Use independent version numbers for public libraries
authorcarlosgc@webkit.org <carlosgc@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Wed, 9 May 2012 16:05:13 +0000 (16:05 +0000)
committercarlosgc@webkit.org <carlosgc@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Wed, 9 May 2012 16:05:13 +0000 (16:05 +0000)
commit0e57e252d1c273794fb892cc3ded4672ac6a8cb5
tree664011301ef7c9acd6c8243e8872a52b261c460a
parentfa7fc8afea777510450ff0b7c76acfff22f8eeed
[GTK] Use independent version numbers for public libraries
https://bugs.webkit.org/show_bug.cgi?id=85984

Reviewed by Gustavo Noronha Silva.

.:

* configure.ac: Define LIBJAVASCRIPTCOREGTK_VERSION and
LIBWEBKIT2GTK_VERSION using the same version as
LIBWEBKITGTK_VERSION for backwards compatibility.

Source/JavaScriptCore:

* GNUmakefile.am: Use LIBJAVASCRIPTCOREGTK_VERSION for library
version.

Source/WebKit2:

* GNUmakefile.am: Use LIBWEBKIT2GTK_VERSION for library version.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@116533 268f45cc-cd09-0410-ab3c-d52691b4dbfc
ChangeLog
Source/JavaScriptCore/ChangeLog
Source/JavaScriptCore/GNUmakefile.am
Source/WebKit2/ChangeLog
Source/WebKit2/GNUmakefile.am
configure.ac